> ## Documentation Index
> Fetch the complete documentation index at: https://nestcoin.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Parameters

Onboard Connect allows you to customize your users' trading experience by embedding specific trade parameters within the redirect link's query parameters. The table below describes these parameters.

| Param | Type | Required | Description |
| - | - | - | - |
| tradeType | `String` | Yes | Specify the type of order you want to initiate. **Available options:**   `Buy` (onramp) or `Sell` (offramp) |
| fiat | `String` | Yes | ISO code alpha 3 that specifies the fiat currency for the trade. Use the [trade options endpoint](https://nestcoin.mintlify.site/onboard-exchange/connect/api-examples.md#trade-options) to get the list of available fiat currencies |
| token | `String` | Yes | Token symbol for the crypto asset to be traded. Use the [trade options endpoint](https://nestcoin.mintlify.site/onboard-exchange/connect/api-examples.md#trade-options) to get the list of available tokens. |
| fiatAmount | `Number` | Conditional | Amount to be traded,, expressed in its fiat value.  Either one of `fiatAmount` or `tokenAmount` **must be provided**. |
| tokenAmount | `Number` | Conditional | Amount to be traded, expressed in its crypto value.   Either one of `fiatAmount` or `tokenAmount` **must be provided**. |
| networkId | `String` | Yes | The blockchain network identifier or chain ID for the trade.  Use the [trade options endpoint](https://nestcoin.mintlify.site/onboard-exchange/connect/api-examples.md#trade-options) to get the list of available networks. |
| paymentChannel | `String` | No | The preferred payment channel for the trade.  Use the [trade options endpoint](https://nestcoin.mintlify.site/onboard-exchange/connect/api-examples.md#trade-options) to get the list of supported payment channels. |
| address | `String` | No | The blockchain address to be credited with token for `Buy` (onramp) trades.  If not provided, the customer will be required to connect their wallet to complete the trade. For `Sell` (offramp) trades, users are always required to connect their wallets if not already connected. |
| email | `String` | No | Your customer's email address. |
| orderId | `Number` / `String` | No | Unique ID that enables you track the order easily on your platform.  This ID maps to the `thirdPartyInfo.externalOrderReference` property within the [webhook payload](https://nestcoin.mintlify.site/onboard-exchange/connect/webhooks.md#order-state-transition). |
| autoselect | `Boolean` | No | Provide this flag to indicate if the best offer should be selected, or if a list of offers matching your trade parameters should be returned. Defaults to `true`. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.